{
	saved_firsttime [0]
	
	Init[ (s)
	{
		if(saved_firsttime = 0)
		{
			saved_firsttime = 1;
			SetSkin(1);
			SetUseText(139);

			if (GetID() = "docs02")
			{
				SetUsable(false);
				ShowEntity(false);
			}
		}
	}]

	DelayReached[ (dy)
	{

		Level.Log("shhhhhhhhhhhhh00000000000t");

		if (dy=1)
		{
//			Level.Log("shhhhhhhhhhhhhaaaaaaaaaaaaaat");
//			Tank01 = Level.GetEntity("tank01");
//			Tank01.ShowEntity(true);
//			Tank01.FollowPath("tank01",0);
			
//			Player = Level.GetPlayer();
//			Tank01.FollowPathCallback( 127, "TurnToEntity", Player );
//			Tank01.FollowPathCallback( 127, "TurretShootAt", Player );
//			DestroyObject(self);
		}
	}]

	OnUse[()
	{
		Level.saved_CurDocs = (Level.saved_CurDocs +1);
		SetSkin(0);
		ShowEntity(false);
		SetUsable(false);

		if (GetID() = "docs01")
		{
			Docs2 = Level.GetEntity("docs02");
			Docs2.SetUsable(true);
			Docs2.ShowEntity(true);
			Level.saved_Document01 = 1;
		}

		if (Level.saved_CurDocs < 2)
		{
//			Level.AdvanceObjectives(1);
			Level.SetObjectiveActive(2,false);
			Level.ObjectiveComplete(2);
			Level.SetObjectiveActive(3,true);
		}
		else
		{
			Level.AdvanceObjectives(0);
//			Level.SetObjectiveActive(0,false);
			Level.ObjectiveComplete(3,true);
			Level.SetObjectiveActive(4,true);
			
			Level.saved_Document02 = 1;
//			PlaySound(79);
//			Level.Log("shhhhhhhhhhhhheeeeeeeet");
//			Delay(2,1);
		}
	}]

}